%global goipath         github.com/go-delve/delve
%global debug_package   %{nil}

Summary:        A debugger for the Go programming language
Name:           delve		
Version:        1.22.0
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/go-delve/delve
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch3000:      add-loongarch-support.patch

BuildRequires:	gcc glibc golang >= 1.16 go-rpm-macros
Requires:       glibc

Provides: %{name} = %{version}-%{release}

%description
delve is a debugger for the Go programming language

%prep
%setup -q -n %{name}-%{version}

%ifarch loongarch64
%patch3000 -p1
%endif

%build
export GOPATH=$PWD/.gopath
mkdir -p ${GOPATH}/src/github.com/go-delve
ln -sfn $PWD $GOPATH/src/%{goipath}

%gobuild -o bin/dlv %{goipath}/cmd/dlv

%install
install -d %{buildroot}%{_bindir}
install -m 0755 bin/dlv %{buildroot}%{_bindir}/dlv

%files 
%license LICENSE
%doc CONTRIBUTING.md CHANGELOG.md README.md
%{_bindir}/dlv

%changelog
* Sat Jul 06 2024 Liangliang Zhai <zhailiangliang@loongson.cn> - 1.22.0-3
- [Type] other
- [DESC] Remove macro loongarch64 for avoiding not finding loongarch patch

* Thu Jun 20 2024 Zhai Liangliang <zhailiangliang@loongson.cn> - 1.22.0-2
- [Type] other
- [DESC] add loongarch support

* Tue Jan 30 2024 jackeyji <jackeyji@tencent.com> - 1.22.0-1
- initial build
